using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XYY.Core.Standard.ExcelHelper.MSExcelHelper;

namespace XYY.Model.Standard.Finance
{
    public class FBAIncidentalDto
    {
        public FBAIncidentalDto()
        {
            Incidentals = new List<FBA_Incidental>();
        }
        public int OrderId
        {
            get; set;
        }

        public FBAIncidentalCalculateTarget Target
        {
            get; set;
        }
        public decimal? CostPrice { get; set; }
        public decimal? ChargedWeight { get; set; }

        public string CustomerOrderNo
        {
            get; set;
        }
        public string LadingBillNumber { get; set; }
        public List<FBA_Incidental> Incidentals
        {
            get; set;
        }
    }

    public class IncFBAIncidentalDto
    {
        public string FBANumber { get; set; }
        public string IncidentalName { get; set; }
        public string Description { get; set; }
        public string Fee { get; set; }
        public string Remake { get; set; }
        public decimal CostFee { get; set; }
        public decimal CostWeight { get; set; }
        public DateTime? SendOutTime { get; set; }
        public string LadingBillNumber { get; set; }

    }

    public class IncFBAIncidentalDtoMpping : MSExcelClassMapping<IncFBAIncidentalDto>
    {
        public IncFBAIncidentalDtoMpping()
        {
            Map(x => x.LadingBillNumber).Name("提单号");
            Map(x => x.SendOutTime).Name("日期");
            Map(x => x.FBANumber).Name("FBA单号");
            Map(x => x.IncidentalName).Name("附加费用项");
            Map(x => x.Description).Name("品名");
            Map(x => x.Fee).Name("附加费（+/KG或+/票）");
            Map(x => x.Remake).Name("合并费用备注");
            Map(x => x.CostFee).Name("成本单价");
            Map(x => x.CostWeight).Name("计费重量");
        }
    }

}
